my company has been using an older version if itheme

hi. my company has been using an older version if itheme security.

it has some issues. One is the htaccess file changes and the site crash's to a 500 error.

Is there a WP Security plugin or quite that you at WPMU recommend?

thanks,